Subject: inserting/replacing clauses?

From: Jan Wielemaker <[email-masked]>
Date: Tue, 14 Mar 2000 18:29:33 +0100

Hi,

I've got someone who wants to insert clauses in the middle.  As far
as I can see there is no real big technical issue and I must agree
it might come handy at times.  On the other hand, I hesitate.

Slightly cleaner would be

	replace(OldClause, NewClause)

which has the nice property of allowing for a database update without
reordering the clauses.

Anyone around with strong feeling on whether or not to add such a
beast to the system, and if yes, name and semantics?

	Opinions?

		--- Jan